# $Revision: 1.19 $, $Date: 2004/03/18 15:30:07 $
Summary:	GTK+ HP LaserJet 2100 configuration tool
Summary(pl):	Narzdzie GTK+ do konfigurowania drukarek HP LaserJet 2100
Name:		g2100config
Version:	0.5
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	9d07233734404ebd44bc06a8b1928b14
URL:		http://g2100config.sourceforge.net/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
g2100config is a GTK+ control tool for the HP LaserJet 2100 Series
printers. Current options are Resolution, Density, Courier Font, Econo
Mode, Tray Locking, and Test Page printing.

%description -l pl
g2100config to narzdzie do konfiguracji drukarek HP LaserJet serii
2100. Aktualnie moliwe do zmieniania opcje to: rozdzielczo,
gsto, czcionka, tryb ekonomiczny, blokowanie podajnikw i
drukowanie strony testowej.

%package -n 2100config
Summary:	Text-mode HP LaserJet 2100 configuration tool
Summary(pl):	Narzdzie tekstowe do konfigurowania drukarek HP LaserJet 2100
Group:		Applications/Printing

%description -n 2100config
2100config is a text-mode control tool for the HP LaserJet 2100 Series
printers. Current options are Resolution, Density, Courier Font, Econo
Mode, Tray Locking, and Test Page printing.

%description -n 2100config -l pl
2100config to tekstowe narzdzie do konfiguracji drukarek HP LaserJet
serii 2100. Aktualnie moliwe do zmieniania opcje to: rozdzielczo,
gsto, czcionka, tryb ekonomiczny, blokowanie podajnikw i
drukowanie strony testowej.

%prep
%setup -q
%{__make} distclean
rm -f console/2100config

%build
rm -f missing
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

cd console
%{__make} 2100config \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install console/2100config $RPM_BUILD_ROOT/usr/bin
install console/2100config.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}

%files -n 2100config
%defattr(644,root,root,755)
%attr(755,root,root) /usr/bin/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: g2100config.spec,v $
Revision 1.19  2004/03/18 15:30:07  marcus
- rel.4. for rebuild with Ac.

Revision 1.18  2003/07/08 18:26:39  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.17  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.16  2003/05/25 05:47:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.14  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.13  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/08/30 09:35:24  qboosh
- better descriptions, new %%doc, working URL; release 3

Revision 1.11  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.10  2002/05/21 23:13:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 16:20:27  arturs
fixed a small typo

Revision 1.8  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.6  2002/03/01 09:38:04  marcus
- rel.2.

Revision 1.5  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/03 20:44:52  ankry
- adding es/pt/pt_BR Group translations

Revision 1.2  2002/01/18 02:12:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/06/09 20:31:43  zagrodzki
- initial
